<template>
  <!-- <view class="dt-page"> -->
    <web-view :src="url" @onPostMessage="onPostMessage"></web-view>
    <!-- <DtEmpty :type="emptyType" /> -->
  <!-- </view> -->
</template>

<script>
export default {
  data(){
    return {
      url:''
    }
  },
  onLoad(options){
	  this.url = options.url;
	  // if(options.url){
		// this.url = decodeURIComponent(options.url)
		// this.url = 'http://app.91syzl.com/special/store/branch/10001/hepatic1/74/';
		// this.emptyType = 0
	  // }else{
		// this.emptyType = 1
	  // }
  },
  methods:{
	message(e){
		console.log('接收到的特定时机（后退、组件销毁、分享）消息：' + JSON.stringify(e.detail.data));  
	},
	onPostMessage(e){
		console.log(e)
		console.log('接收到的实时消息：' + JSON.stringify(e.detail.data));  
	}
  }
}
</script>

<style lang="scss" scoped>

</style>
